Skip to main content
Available in🇮🇳 India
Once you capture a payment, Razorpay Checkout returns a razorpay_payment_id. You can use this id to fetch the token_id, which is used to create and charge subsequent payments. You can retrieve the token_id using the Dashboard or the APIs given below.

2.1. Fetch Token by Payment ID

The following endpoint fetches the token_id using a payment_id. GET /payments/:id
Handy TipsYou can also retrieve the token_id via the payment.failed webhook.
id mandatory : string The unique identifier of the payment to be retrieved. For example, pay_1Aa00000000002.

2.2. Fetch Tokens by Customer ID

A customer can have multiple tokens and these tokens can be used to create subsequent payments for multiple products or services.
Watch Out!
  • This endpoint will not fetch the details of expired and unused tokens.
  • The UPI tokens are not populated in the API response if the save_vpa feature is not enabled in your account. Please raise a request with our Support team to get this activated.
The following endpoint retrieves tokens linked to a customer. GET /customers/:id/tokens
id mandatory : string The unique identifier of the customer for whom tokens are to be retrieved. For example, cust_1Aa00000000002.

2.3. Delete Tokens

Watch Out!Deleting a token removes it from Razorpay’s database. The deleted token will not appear on the Dashboard or when all tokens are fetched. However, it does not cancel the mandate. If you wish to cancel the mandate from NPCI, use the Cancel Token API.
The following endpoint deletes a token. DELETE /customers/:customer_id/tokens/:token_id
customer_id mandatory : string The unique identifier of the customer with whom the token is linked. For example, cust_1Aa00000000002.token_id mandatory : string The unique identifier of the token that is to be deleted. For example, token_1Aa00000000001.

2.4. Cancel Token

The following endpoint initiates cancellation of the mandate from NPCI. PUT /customers/:customer_id/tokens/:token_id/cancel
customer_id mandatory : string The unique identifier of the customer with whom the token is linked. For example, cust_1Aa00000000002.token_id mandatory : string The unique identifier of the token that is to be cancelled. For example, token_1Aa00000000001.